#!/bin/bash
source include.sh

for i in `cat $TARGETS`; do 
    DISTRO=`dirname $i`
    VSERVER_BASE=`basename $i`
    DISTVER=`basename $i |sed "s;CitadelBuild.;;"`
    DISTVER=`cd $APACHE_ROOT/public_html/$DISTRO/; ls -d ?$DISTVER `
    
    CleanBuild $VSERVER_BASE $CHECKOUT_DIR "$DISTRO/$DISTVER"

    GetSource $VSERVER_BASE $CHECKOUT_DIR webcit
    BuildSource $VSERVER_BASE $CHECKOUT_DIR webcit

    GetSource $VSERVER_BASE $CHECKOUT_DIR citadel
    BuildSource $VSERVER_BASE $CHECKOUT_DIR citadel

    UpperResults $VSERVER_BASE "$DISTRO/$DISTVER"
done




chroot ${VSERVER_ROOT}/apache/ /bin/bash ${CIT_APACHE_DIR}/refresh.sh