#!/bin/bash
source include.sh

WD=`pwd`

for i in `cat $TARGETS`; do 
    cd $WD
    DISTRO=`dirname $i`
    VSERVER_BASE=`basename $i`
    DISTVER=`basename $i |sed "s;CitadelBuild.;;"`
    DISTVER=`cd $APACHE_ROOT/public_html/$DISTRO/; ls -d ?$DISTVER `
    
    CleanBuild $VSERVER_BASE $CONTRIB_DIR

    cd $WD
    if grep -q $VSERVER_BASE libical_targets; then
	GetSource $VSERVER_BASE $CONTRIB_DIR libical
	BuildSource $VSERVER_BASE $CONTRIB_DIR libical
	InstallContrib  $VSERVER_BASE $CONTRIB_DIR libical
    fi

    cd $WD
    if grep -q $VSERVER_BASE libsieve_targets; then
	GetSource $VSERVER_BASE $CONTRIB_DIR libsieve
	BuildSource $VSERVER_BASE $CONTRIB_DIR libsieve
	InstallContrib  $VSERVER_BASE $CONTRIB_DIR libsieve
    fi

done




chroot ${VSERVER_ROOT}/apache/ /bin/bash ${CIT_APACHE_DIR}/refresh.sh